org.apache.felix.ipojo.extender.internal.queue

## Class NamingThreadFactory

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.NamingThreadFactory

All Implemented Interfaces:
  java.util.concurrent.ThreadFactory

    public class NamingThreadFactory
    extends java.lang.Object
    implements java.util.concurrent.ThreadFactory

A thread factory setting the name of the created thread. This thread factory delegates the thread creation on another factory and format the name.

### Constructor Summary

Constructors
Constructor and Description
`NamingThreadFactory(java.util.concurrent.ThreadFactory threadFactory)` Creates the object delegating to the given thread factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Thread` `newThread(java.lang.Runnable r)` Creates a new thread.
`static void` `reset()` For test only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamingThreadFactory

    public NamingThreadFactory(java.util.concurrent.ThreadFactory threadFactory)

Creates the object delegating to the given thread factory.

Parameters:
  `threadFactory` - the thread factory

### Method Detail

#### reset

    public static void reset()

For test only.

#### newThread

    public java.lang.Thread newThread(java.lang.Runnable r)

Creates a new thread. Format the Thread name

Specified by:
  `newThread` in interface `java.util.concurrent.ThreadFactory`
Parameters:
  `r` - the runnable
Returns:
  the thread object